# source this file to setup shell environment for developers:
# . setup_env.sh

# libraries are in ./build
export LD_LIBRARY_PATH=./build

# rebuild whole project
alias rebuild='./waf distclean configure --with-gstreamer=1.0 build '
# build without tests and run NP
alias debug='./waf build --skip-tests && ./nuvolaplayer.wrapper -D '
# launch GUI demos
alias guidemo='./waf build; build/tests/bin/guidemo '
# launch interactive tests
alias itests='./waf build --interactive-tests '
# launch tests
alias tests='./waf build --verbosetests'
